Name: dosbox
Version: 0.72
Release: alt7

Summary: i8086/DOS/VGA software emulator for running old games
License: GPLv2+
Group: Emulators

Url: http://dosbox.com

%define myicon      %name.xpm
%define mygroup     dosgamer

%define docbook_man %_datadir/xml/docbook/xsl-stylesheets/manpages/docbook.xsl

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Source0: http://heanet.dl.sourceforge.net/sourceforge/dosbox/%name-%version.tar.gz
Source1: DOSBox-russian-lang-072-2.zip
Source7: %name-wrapper
Source8: %name-install
Source9: %name-install.xml

Source10: %name.xpm.gz
Source11: %name-mini.xpm.gz
Source12: %name-large.xpm.bz2

Patch0: %name-0.65-loadfont-base.patch
Patch1: %name-0.65-alt-compile-fixes.patch
Patch2: %name-0.72-gentoo-compile-fix.patch

Requires(pre): shadow-utils

Conflicts: dosbox-russian

Summary(ru_RU.UTF8): Программный эмулятор i8086/DOS/VGA для запуска старых игр

BuildPreReq: unzip
BuildPreReq: docbook-dtds docbook-style-xsl gcc-c++
BuildPreReq: libalsa-devel libGL-devel libpng-devel libSDL-devel
BuildPreReq: libSDL_net-devel libSDL_sound-devel xsltproc

%description
DOSBox is graphical application that provides rich programming emulation
of Intel 8086 real-mode, SVGA and DOS with XMS/EMS (but no DPMI!).

This is very useful for running old good DOS games written for PC/XT/AT
that's impossible directly on modern Pentiums, SUN's, PowerPC & etc.
At least PII 400MHz is required for comfortable running.

Full list of tested games successfully supported by DOSBox
is published on the http://dosbox.sourceforge.net site.

Run it as following:
  * dosbox /path/to/game.exe
  * dosbox /path/to/gamedir
Examples:
  * dosbox /tmp/old-games/ugh.exe
    ...maps given directory to drive C: and start given EXE/COM/BAT-file
  * dosbox /usr/local/games
    ...maps given directory to drive C: and start built-in COMMAND.COM

%description -l ru_RU.UTF8
DOSBox - это графическое приложение, программно эмулирующее
процессор Intel 8086, графический адаптер SVGA
и операционную систему DOS с поддержкой XMS и EMS, но без DPMI.

DOSBox позволяет запускать на современном компьютере старые игры,
созданные для XT и AT, и не работающие на более новых системах.
Для комфортной работы требуется PII 400MHz или сравнимый с ним
по скорости процессор любой архитектуры (SUN, PowerPC и т.д.).

Полный список протестированных игр (Tower, Wings of Fury, Dune, ...)
находится на официальном сайте программы: http://dosbox.sourceforge.net.

Запуск эмулятора производится следующим образом:
  * dosbox /путь/к/игре/game.exe
  * dosbox /путь/к/игре
Примеры:
  * dosbox /tmp/old-games/ugh.exe
    ...отобразит каталог игры на диск C: и запустит указанный EXE/COM/BAT-файл
  * dosbox /usr/local/games
    ...отобразит указанный каталог на диск C: и запустит встроенный COMMAND.COM

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
./autogen.sh
unzip %SOURCE1

%build
%configure \
	--enable-core-inline
%make

%install
%makeinstall

# configuration
mkdir -p %buildroot%_sysconfdir/%name  # /{runargs,autoexec}
cp dosbox.conf %buildroot%_sysconfdir/%name/dosbox.conf.sample.ru

# binaries
mv %buildroot%_bindir/%name{,.bin}
install -p %SOURCE7 %buildroot%_bindir/%name
install -p %SOURCE8 %buildroot%_bindir/%name-install

# manual pages
mkdir -p %buildroot%_man1dir
pushd %buildroot%_man1dir
xsltproc %docbook_man %_sourcedir/%name-install.xml
popd

# create directory for data files and for placing games
mkdir -p %buildroot{%_datadir/%name,%_gamesbindir/%name}

# icons
mkdir -p %buildroot{%_niconsdir,%_liconsdir,%_miconsdir}
gzip -cd %SOURCE10 > %buildroot%_niconsdir/%myicon
gzip -cd %SOURCE11 > %buildroot%_miconsdir/%myicon
bzip2 -cd %SOURCE12 > %buildroot%_liconsdir/%myicon

mkdir -p %buildroot%_desktopdir
cat > %buildroot%_desktopdir/%name.desktop << __EOF__
[Desktop Entry]
Type=Application
Name=DOSBox
GenericName=DOS software emulator
Comment=DOS/8086/VGA software emulator running under X
Icon=%name
Exec=%_bindir/%name
Terminal=false
Categories=System;Emulator;
Name[ru]=DOSBox
GenericName[ru]=Эмулятор DOS
Comment[ru]=Эмулятор DOS/8086/VGA
__EOF__


%pre
%_sbindir/groupadd -r -f %mygroup &>/dev/null


%files
%_bindir/%name
%_bindir/%name.bin
%_bindir/%name-install
%config %_sysconfdir/%name
%dir %_datadir/%name
%_man1dir/%{name}*
%doc AUTHORS ChangeLog NEWS README THANKS docs/README.video docs/PORTING
%doc DOSBOX_0.72_README_RUS.txt Instructions_RUS_ENG.txt zmbv/
%_niconsdir/%myicon
%_miconsdir/%myicon
%_liconsdir/%myicon
%_desktopdir/%name.desktop
%dir %attr(2755,root,%mygroup) %_gamesbindir/%name

%changelog
* Sun Nov 23 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.72-alt7
- remove alternatives trigger

* Mon Nov 17 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.72-alt6
- remove update_*/clean_* invocations

* Sun Oct 26 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.72-alt5
- fix build

* Tue May 27 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.72-alt4
- desktop file improvements (closes: #15726; cas@)

* Thu Apr 17 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.72-alt3
- remove alternatives support, add Conflicts on dosbox-russian
- remove English lang file, sample config and tools for their generation
- fix desktop file
- move 32x32 icon from iconsdir to niconsdir
- add http://www.dosbox.com/tools/DOSBox-russian-lang-072-2.zip (Russian readme
  and config)

* Fri Oct 19 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.72-alt2
- add requires on shadow-utils (#13136)

* Tue Aug 28 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.72-alt1
- 0.72

* Thu Aug 02 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.71-alt1
- 0.71

* Sat Mar 03 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.70-alt1
- 0.70

* Sun Sep 17 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.65-alt1
- 0.65
- massive spec cleanup

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.63-alt1.1
- Rebuilt with libstdc++.so.6.

* Tue Dec 21 2004 Ilya Evseev <evseev@altlinux.ru> 0.63-alt1
- updated to version 0.63 containing multiple bugfixes
- bugfix: /usr/share/dosbox was not owned by package
- new alternatives scheme used in ALTLinux 2.4

* Mon Oct 17 2004 Ilya Evseev <evseev@altlinux.ru> 0.62-alt5
- fixed spec bug with macro man1dir -> _man1dir

* Mon Oct  4 2004 Ilya Evseev <evseev@altlinux.ru> 0.62-alt4
- official 0.62 release
- added 'BuildPreReq: gcc-c++' for building in ALTLinux hasher environment
- added --no-main switch to wrapper for running it as subroutines container only
- /usr/bin/dosbox is managed by alternatives, by default is assigned to wrapper
- small spec cleanups

* Fri Jul 23 2004 Ilya Evseev <evseev@altlinux.ru> 0.62-alt3
- russian support is completely moved to separate spec-file
- conform to ALTLinux Specfile conventions
- simplify "%prep" and "%install" sections
- add support of /etc/dosbox/runargs directory to wrapper and spec

* Mon Jun  7 2004 Ilya Evseev <ilya_evseev@mail.ru> 0.62-1
- updated to version 0.62 from CVS
- added dosbox-install script
- added support of loadable fonts
- add dosbox-russian package with manuals, cyrillic fonts,
  configuration and language file
- added dosbox-apps package

* Mon Apr 26 2004 Ilya Evseev <ilya_evseev@mail.ru> 0.61-2
- fixed bug with creating group on installation stage,
  split installation: create group before, update menus after
- removed Packager record from spec-file
- added patch for loading user-defined fonts to Video-BIOS ROM on startup
- article removed from packaged stuff and will be managed separately

* Fri Feb 15 2004 Ilya Evseev <ilya_evseev@mail.ru> 0.61-1
- updated to version 0.61
- manpage and langfile are translated to Russian
- added script for running binary with global/localized settings
- added introduction article (in Russian)
- added menu item and icons for X, taken from DosEmu package
- added script for downloading/extracting/menu adding DOS executables

* Wed Oct 08 2003 Ilya Evseev <ilya_evseev@mail.ru> 0.58-1
- initial RPM build, rpmbuild -ba --target i586 dosbox.spec

## EOF ##
